package theme

import (
	"image/color"
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/theme"
)

type SithTheme struct{}

func (SithTheme) Color(name fyne.ThemeColorName, variant fyne.ThemeVariant) color.Color {
	switch name {
	case theme.ColorNameBackground:
		return color.NRGBA{R: 12, G: 12, B: 14, A: 255}
	case theme.ColorNamePrimary:
		return color.NRGBA{R: 153, G: 0, B: 0, A: 255}
	default:
		return theme.DarkTheme().Color(name, variant)
	}
}

func (SithTheme) Font(style fyne.TextStyle) fyne.Resource {
	return theme.DarkTheme().Font(style)
}

func (SithTheme) Icon(name fyne.ThemeIconName) fyne.Resource {
	return theme.DarkTheme().Icon(name)
}

func (SithTheme) Size(name fyne.ThemeSizeName) float32 {
	return theme.DarkTheme().Size(name)
}